Bug 1282972 - UI: Count of Catalog Items under Service Catalogs in Classic vs. SSUI do not match
UI: Count of Catalog Items under Service Catalogs in Classic vs. SSUI do not ...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Aparna Karve
Taras Lehinevych
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 18:07 EST by Harpreet Kataria
Modified: 2016-08-02 21:32 EDT (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:48:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harpreet Kataria 2015-11-17 18:07:55 EST
Description of problem: UI: Count of Catalog Items under Service Catalogs in Classic vs. SSUI do not match


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Go to Class UI, list of Service Catalogs and notice the count
2. Then go to SSUI list of Service Catalog counts on both screens do not match
3.

Actual results: Counts in Classic UI & SSUI do not match


Expected results: Counts in both UIs should match


Additional info:
Comment 4 CFME Bot 2015-11-18 17:25:27 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/7965a4a9b81138fecab9f4587b698233d58ab68d

commit 7965a4a9b81138fecab9f4587b698233d58ab68d
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Wed Nov 18 11:14:31 2015 -0800
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Nov 18 11:14:31 2015 -0800

    Fixed the filter to display the Service Catalog count and list
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282972

 spa_ui/self_service/client/app/config/navigation.config.js        | 8 +++++++-
 .../self_service/client/app/states/marketplace/list/list.state.js | 4 +++-
 2 files changed, 10 insertions(+), 2 deletions(-)
Comment 6 CFME Bot 2015-11-19 11:33:19 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=285e5d1dba3a85f11e9ad7fb93a6d2b5f6c919b5

commit 285e5d1dba3a85f11e9ad7fb93a6d2b5f6c919b5
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Wed Nov 18 11:14:31 2015 -0800
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Nov 18 14:54:42 2015 -0800

    Fixed the filter to display the Service Catalog count and list
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282972

 spa_ui/self_service/client/app/config/navigation.config.js        | 8 +++++++-
 .../self_service/client/app/states/marketplace/list/list.state.js | 4 +++-
 2 files changed, 10 insertions(+), 2 deletions(-)
Comment 7 CFME Bot 2015-11-19 11:33:25 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=25e97bab5024d02f237d417e7a5910174de07132

commit 25e97bab5024d02f237d417e7a5910174de07132
Merge: cbcc3b1 285e5d1
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Nov 19 10:59:25 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Thu Nov 19 10:59:25 2015 -0500

    Merge branch 'fix_service_catalog_count' into '5.5.z'
    
    Fixed the filter to display the Service Catalog count and list
    
    Clean cherry-pick.
    Upstream PR - https://github.com/ManageIQ/manageiq/pull/5500
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282972
    
    See merge request !502

 spa_ui/self_service/client/app/config/navigation.config.js        | 8 +++++++-
 .../self_service/client/app/states/marketplace/list/list.state.js | 4 +++-
 2 files changed, 10 insertions(+), 2 deletions(-)
Comment 8 Taras Lehinevych 2015-11-26 08:42:20 EST
Verified fixed in version 5.5.0.12
Comment 10 errata-xmlrpc 2015-12-08 08:48:24 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.